#include <iostream>

using namespace std;

int main()
{

    ios::sync_with_stdio(0);
    cin.tie(0);
    int N,K,x,br=-1;
    cin >> N >> K;
    int a[N];
    for(int i=0; i<N; i++)
    {
        cin >> x;
        a[i]=x;
        if(x==K)
        {
            if(i==N-1)
                cout << a[0];
            else
                br=i;
        }
    }
    if(br!=-1)
        cout << a[br+1];

    return 0;
}